/*
  Copyright 1998, 1999 Brian H. Trammell (brian@altara.org)

  This software (and its source code) are freely usable, modifiable,
  and redistributable under the terms of the GNU General Public License, 
  available at http://www.gnu.org/copyleft/gpl.html.

  This software is released without any warranty whatsoever.

  Note this library software is NOT distributed under the GNU LGPL; if you 
  link an application with this software, it is ILLEGAL to distribute it
  under any terms incompatible with the GNU GPL.
*/

package org.altara.netlib;

/**
   Any object that uses a ClientEngine must implement this interface.
   It defines two methods, receive(String), which is called by
   ClientEngine for each newline-terminated line received over the network,
   and socketDied(), sent by ClientEngine when a socket connection is closed
   by a foreign host.
 */

public interface Client { 
  public void receive(String data);
  public void socketDied();
}
